<?php
/**
 * Review form
 *
 * @package wp-review-me
 * @author InstaProduct
 * @link http://insta-product.com/
 */
$st = $this->setting;
?>

<?php
// Set main content style
$bgcolor  = $st->getSetting( 'form_background_color', '#eeeeee' );
$color    = $st->getSetting( 'form_text_color', '#333333' );
$bowidth  = $st->getSetting( 'form_border_width' );
$bocolor  = $st->getSetting( 'form_border_color', '#dddddd' );
//Font
$font_opt = $st->getSetting( 'form_font_family', 'roboto' );
$family   = IPRev_Font::getFamily( $font_opt );
?>
<style>
.iprev-review-page ._send-review .iprev_field_control {
  background-color: <?php echo $bgcolor; ?>;
  color: <?php echo $color; ?>;
  <?php
  if ( $bowidth ) {
      echo 'border:' . $bowidth . 'px solid ' . $bocolor . ';';
  }
  ?>
  font-family: <?php echo $family; ?>;
}
</style>

<!-- Start: ._send-review -->
<div class="_send-review">
  <!-- Start: ._send-review-info -->
  <div class="_send-review-info">
    <h2 class="_send-review-title">
      <span>
        <?php echo $st->getSetting( 'form_title', __( 'Send Review', IPREV_SLUG ) ); ?>
      </span>
    </h2>
    <?php
    if ( $info = $st->getSetting( 'form_info' ) ) :
    ?>
    <div class="_send-review-info">
      <?php echo $info; ?>
    </div>
    <?php
    endif;
    ?>
  </div>
  <!-- End: ._send-review-info -->

  <?php
  global $user_ID;
  $restricted   = $st->getSetting( 'form_restricted', 'false' );
  $submitAccess = true;

  if ( empty( $user_ID ) && $restricted == 'true' ) {
    $submitAccess = false;
  }

  if ( $submitAccess ) {
    $this->view( 'front/page/content/form' );
  }
  else
  {
    $login = wp_login_url( $this->permalink );
    echo '<p class="_send-review-error">You must be <a href="' . $login . '">logged in</a> to send a review.</p>';
  }
  ?>

</div>
<!-- End: ._send-review -->
