<?php
/**
 * Meta box comment options view
 *
 * @package wp-review-me
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$commentID = $this->comment->comment_ID;
?>

<div id="iprev-metabox-comment" class="iprev-wrap">
  <div class="container-fluid container iprev-form">
    <div class="iprev-fields">

      <?php
      //Title
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="iprev-mbc-input-title"><?php _e( 'Title', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $title = get_comment_meta( $commentID, 'review_title', true );
          ?>
          <input type="text" id="iprev-mbc-input-title" class="iprev-input iprev-input-full" name="review_title" value="<?php echo $title; ?>">

        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      //Info Job
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="iprev-mbc-input-job"><?php _e( 'Info Job', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $job = get_comment_meta( $commentID, 'review_user_job', true );
          ?>
          <input type="text" id="iprev-mbc-input-job" class="iprev-input iprev-input-full" name="review_user_job" value="<?php echo $job; ?>">

        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      //Rating
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="iprev-mbc-rating"><?php _e( 'Rating', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $rating = get_comment_meta( $commentID, 'review_rating', true );
          ?>
          <select id="iprev-mbc-rating" name="review_rating">
            <?php
            $ratings = range( 1,5 );
            foreach( $ratings as $value ) {
              $sltd = '';
              if ( $value == $rating ) {
                $sltd = ' selected="selected"';
              }
              echo '<option value="' . $value . '"' . $sltd . '>' . $value . '</option>';
            }
            ?>
          </select>

        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

    </div>
  </div>
  <?php wp_nonce_field( plugin_basename( __FILE__ ), 'iprev_mbox_comment_nonce' ); ?>
</div>
