<?php
/**
 * Admin page dashboard view
 *
 * @package wp-review-me
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="iprev-page-dashboard" class="wrap iprev-wrap iprev-admin">
  <div class="iprev-inner">

    <?php
    $this->view( 'manage/general/header' );
    ?>

    <div class="iprev-main">
      <div class="iprev-main-info">
        <?php
        if ( isset( $_GET['create'] )) :
        ?>
        <div class="iprev-alert iprev-alert-success" style="display: block;">
          <?php _e( 'Successfully add a review page.', IPREV_SLUG ); ?>
        </div>
        <?php
        elseif ( isset( $_GET['delete'] )) :
        ?>
        <div class="iprev-alert iprev-alert-success" style="display: block;">
          <?php _e( 'Successfully deleting a review page.', IPREV_SLUG ); ?>
        </div>
        <?php
        endif;
        ?>
      </div>

      <div class="iprev-primary">
        <div class="_add-button mb30">
          <?php
          $link = admin_url() . 'admin.php?page=' . IPREV_PAGENAME . '-page' . '&action=create';
          ?>
          <a href="<?php echo $link; ?>" class="iprev-btn iprev-btn-success iprev-btn-sm _add-page">
            <i class="iprev-fa iprev-fa-plus-circle"></i>
            <?php _e( 'Add New Review Page', IPREV_SLUG ); ?>
          </a>
        </div>

        <?php
        require_once( IPREV_LIB . 'tablePage.php' );
        $list = new IPRev_Table_Page();
        $list->render();
        ?>
      </div>
    </div>

  </div>

</div>
