<?php
/**
 * Shortcode popup view
 *
 * @package wp-surveyer
 * @author InstaProduct
 * @link http://insta-product.com/
 */

?>
<div id="iprev-shortcode-popup" class="iprev-ui-modal iprev_scwrap iprev-wrap" style="display: none;">
  <div class="iprev-ui-modal-main">
    <div id="iprev_sceditor_form" class="iprev-ui-modal-inner">
      <div class="iprev-ui-modal-title">
        <h3><?php _e( 'Insert Reviews List', IPREV_SLUG ); ?></h3>
        <div class="iprev-ui-close">
          <a class="iprev-ui-close-link" href="#">x</a>
        </div>
      </div>
      <div class="iprev-ui-modal-content">
        <form id="iprev_scform_form" class="iprev-form" action="" method="post">
          <div class="container container-fluid">
            <div class="iprev-fields">

              <div class="iprev-field-row iprev-field-x">
                <div class="iprev-form-label col-md-3 col-sm-12">
                  <label for="iprev-isc-review-page"><?php _e( 'Select Review Page', IPREV_SLUG ); ?></label>
                </div>
                <div class="iprev-field col-md-9 col-sm-12">
                  <select id="iprev-isc-review-page" name="review_page">
                    <?php
                    foreach( $this->pages as $page )
                    {
                      echo '<option value="' . $page->ID .  '">' . $page->post_title . '</option>';
                    }
                    ?>
                  </select>
                </div>
              </div>
              <div class="iprev-field-row iprev-field-x">
                <div class="iprev-form-label col-md-3 col-sm-12">
                  <label for="iprev-isc-style"><?php _e( 'Select Style', IPREV_SLUG ); ?></label>
                </div>
                <div class="iprev-field col-md-9 col-sm-12">
                  <select id="iprev-isc-style" name="style">
                    <?php
                    foreach( $this->styles as $style )
                    {
                      echo '<option value="' . $style->ID .  '">' . $style->post_title . '</option>';
                    }
                    ?>
                  </select>
                </div>
              </div>
              <div class="iprev-sc-footer">
                <div class="iprev-button">
                  <input type="submit" class="iprev-btn iprev-btn-secondary iprev-btn-md" name="iprev_scadd_content" id="iprev_scadd_content" value="<?php _e( 'Insert Reviews List', IPREV_SLUG ); ?>" />
                </div>
              </div>

            </div>

          </div>
        </form>
      </div>
    </div>
  </div>
</div>
