<?php
/**
 * Widget backend view
 *
 * @package wp-surveyer
 * @author InstaProduct
 * @link http://insta-product.com/
 */
$instance = $this->instance;
?>

<div class="iprev-appear-widget">
  <div class="_fields">
    <p>
      <label for="<?php echo $this->wp_widget->get_field_name( 'review_page' ); ?>">
        <?php _e( 'Review Page:', IPREV_SLUG ); ?>
      </label>
      <select
        id="<?php echo $this->wp_widget->get_field_id( 'review_page' ); ?>"
        name="<?php echo $this->wp_widget->get_field_name( 'review_page' ); ?>">
          <?php
          if ( $this->pages )
          {
              $current = absint( $instance['review_page'] );
              foreach( $this->pages as $page )
              {
                  $selected = '';
                  if ( $current == $page->ID ) {
                      $selected = ' selected="selected"';
                  }
                  echo '<option' . $selected . ' value="' . $page->ID .  '">' . $page->post_title . '</option>';
              }
          }
          ?>
      </select>
    </p>
    <p>
      <label for="<?php echo $this->wp_widget->get_field_name( 'style' ); ?>">
        <?php _e( 'Style:', IPREV_SLUG ); ?>
      </label>
      <select
        id="<?php echo $this->wp_widget->get_field_id( 'style' ); ?>"
        name="<?php echo $this->wp_widget->get_field_name( 'style' ); ?>">
          <?php
          if ( $this->styles )
          {
              $current = absint( $instance['style'] );
              foreach( $this->styles as $style )
              {
                  $selected = '';
                  if ( $current == $style->ID ) {
                      $selected = ' selected="selected"';
                  }
                  echo '<option' . $selected . ' value="' . $style->ID .  '">' . $style->post_title . '</option>';
              }
          }
          ?>
      </select>
    </p>
  </div>
</div>
