<?php
/**
 * Page navigation view
 *
 * @package wp-review-me
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div class="iprev-sidebar">
  <div class="iprev-sidebar-inner">
    <input type="hidden" name="tab_selected" id="iprev-tab-selected" value="<?php echo $this->tab; ?>" />
    <ul class="iprev-page-menu iprev-tab-menu">
      <li>
        <a href="#iprev-section-general" class="active">
          <i class="iprev-fa iprev-fa-cogs"></i>
          <strong><?php _e( 'General', IPREV_SLUG ); ?></strong>
        </a>
      </li>
      <?php
      if ( $this->style ):
      ?>
      <li>
        <a href="#iprev-section-header">
          <i class="iprev-fa iprev-fa-header"></i>
          <strong><?php _e( 'Header Style', IPREV_SLUG ); ?></strong>
        </a>
      </li>
      <li>
        <a href="#iprev-section-list">
          <i class="iprev-fa iprev-fa-th-list"></i>
          <strong><?php _e( 'List Style', IPREV_SLUG ); ?></strong>
        </a>
      </li>
      <?php
      endif;
      ?>
    </ul>
  </div>
</div>
