<?php
/**
 * Share button
 *
 * @package wp-review-me
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$st = $this->setting;
if ( $st->getSetting( 'share_status', 'false' ) == 'false' ) {
    return;
}
?>
<div class="iprev-share">
  <div class="_share-inner">
    <h3>Share</h3>

    <div class="_share-main">
      <ul class="_share-list">
        <?php
        $socials  = array(
          'facebook',
          'twitter',
          'google-plus',
          'pinterest',
          'linkedin',
          'tumblr',
          'stumbleupon',
          'digg',
          'email'
        );
        $style = $st->getSetting( 'share_button_style', 'square_flat' );
        $root  = IPREV_BASE_URL . 'assets/img/icon/' . $style . '/';
        foreach( $socials as $social )
        {
            if ( $st->getSetting( 'share_' . $social, 'on' ) == 'on' )
            {
                $icon = $root . $social . '.png';
                $link = $this->getShareLink( $social );

                echo    '<li class="_share _share-' . $social . '"><a href="' . $link . '" class="_share-link">' .
                            '<img src="' . $icon . '" alt="' . $social . '">' .
                        '</a></li>';
            }
        }
        ?>
      </ul>
    </div>
  </div>
</div>
