<?php
/**
 * Review page bottom view
 *
 * @package wp-review-me
 * @author InstaProduct
 * @link http://insta-product.com/
 */
global $user_ID;

$page    = $this->reviewPage;
$style   = $this->style;
$pgSett  = $this->pageSetting;
$stSett  = $this->styleSetting;

$position  = $stSett->getSetting( 'position', 'bottom_center' );
$firstLoad = $stSett->getSetting( 'page_load', 'false' );

$class  = 'iprev-list iprev-bar';
$class .= ' iprev-bar-' . $position;
if ( $firstLoad == 'true' ) {
  $class .= ' iprev-bar-load-show';
} else {
  $class .= ' iprev-bar-load-hide';
}
if ( ! empty( $user_ID )) {
  $class .= ' iprev-admin-bar-on';
}
?>

<div class="<?php echo $class; ?>">
  <div class="iprev-bar-inner">
    <?php
    $this->view( 'front/widget/main' );
    ?>
  </div>

  <!-- Widget settings -->
  <?php
  $effect  = ' data-animation="' . $stSett->getSetting( 'show_effect', 'linear' ) . '"' ;
  $effect .= ' data-speed="' . $stSett->getSetting( 'show_effect_speed', 'md' ) . '"' ;
  ?>
  <div class="_showing-effect"<?php echo $effect; ?>></div>
  <?php
  $effect  = ' data-animation="' . $stSett->getSetting( 'hide_effect', 'linear' ) . '"' ;
  $effect .= ' data-speed="' . $stSett->getSetting( 'hide_effect_speed', 'md' ) . '"' ;
  ?>
  <div class="_hiding-effect"<?php echo $effect; ?>></div>
  <!-- Audio -->
  <?php
  //
  //Audio
  $audio = $stSett->getSetting( 'hide_audio', 0 );
  if ( ! empty( $audio ) ) :
      $base = IPREV_BASE_URL . 'assets/audio/audio-' . $audio;
  ?>
  <audio class="_hiding-audio" style="display:none;">
      <source src="<?php echo $base; ?>.mp3" type="audio/mpeg">
      <source src="<?php echo $base; ?>.ogg" type="audio/ogg">
      <?php _e( 'Your browser does not support this audio format.', IPREV_SLUG ); ?>
  </audio>
  <?php
  endif;

  $audio = $stSett->getSetting( 'show_audio', 0 );
  if ( ! empty( $audio ) ) :
      $base = IPREV_BASE_URL . 'assets/audio/audio-' . $audio;
  ?>
  <audio class="_showing-audio" style="display:none;">
      <source src="<?php echo $base; ?>.mp3" type="audio/mpeg">
      <source src="<?php echo $base; ?>.ogg" type="audio/ogg">
      <?php _e( 'Your browser does not support this audio format.', IPREV_SLUG ); ?>
  </audio>
  <?php
  endif;
  ?>
</div>
